import request from '@/utils/request'

// 查询财金监管-金融监管局处罚列表
export function listPenalty(query) {
    return request({
        url: '/crmFinanceSupervisionFinancialPenalty/findByPage',
        method: 'get',
        params: query
    })
}

// 查询财金监管-金融监管局处罚详细
export function getPenalty(id) {
    return request({
        url: '/crmFinanceSupervisionFinancialPenalty/' + id,
        method: 'get'
    })
}

// 新增财金监管-金融监管局处罚
export function addPenalty(data) {
    return request({
        url: '/crmFinanceSupervisionFinancialPenalty',
        method: 'post',
        data: data
    })
}

// 修改财金监管-金融监管局处罚
export function updatePenalty(data) {
    return request({
        url: '/crmFinanceSupervisionFinancialPenalty',
        method: 'put',
        data: data
    })
}

// 删除财金监管-金融监管局处罚
export function delPenalty(id) {
    return request({
        url: '/crmFinanceSupervisionFinancialPenalty/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delPenaltyBatch(ids) {
    console.log(ids);
    return request.post('/crmFinanceSupervisionFinancialPenalty/delete',ids)
}